Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.tdk.signaturetest.sigfile
Class FeaturesHolder

    java.lang.Object
      com.sun.tdk.signaturetest.sigfile.FeaturesHolder

Direct Known Subclasses:
  Format, JSR68Merger, VirtualClassDescriptionLoader

    public class FeaturesHolder

extends java.lang.Object

Nested Class Summary
`static class` | `FeaturesHolder.Feature`

Field Summary
`static FeaturesHolder.Feature` | `BuildMembers`
`static FeaturesHolder.Feature` | `ConstInfo`
`static FeaturesHolder.Feature` | `CopyRight`
`static FeaturesHolder.Feature` | `ListOfHiders`
`static FeaturesHolder.Feature` | `MergeModeSupported`
`static FeaturesHolder.Feature` | `NonStaticConstants`
`static FeaturesHolder.Feature` | `OuterClasses`
`static FeaturesHolder.Feature` | `TigerInfo`
`static FeaturesHolder.Feature` | `XHiders`

Constructor Summary
`FeaturesHolder()`

Method Summary
`void` | `addSupportedFeature(FeaturesHolder.Feature feature)`
`java.util.Set` | `getSupportedFeatures()`
`boolean` | `isFeatureSupported(FeaturesHolder.Feature feature)`
`protected boolean` | `isInitialized()`
`protected void` | `removeSupportedFeature(FeaturesHolder.Feature feature)`
`void` | `retainFeatures(java.util.Set features)`
`void` | `setFeatures(java.util.Set features)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ConstInfo

    public static final FeaturesHolder.Feature ConstInfo

### TigerInfo

    public static final FeaturesHolder.Feature TigerInfo

### MergeModeSupported

    public static final FeaturesHolder.Feature MergeModeSupported

### BuildMembers

    public static final FeaturesHolder.Feature BuildMembers

### NonStaticConstants

    public static final FeaturesHolder.Feature NonStaticConstants

### ListOfHiders

    public static final FeaturesHolder.Feature ListOfHiders

### XHiders

    public static final FeaturesHolder.Feature XHiders

### OuterClasses

    public static final FeaturesHolder.Feature OuterClasses

### CopyRight

    public static final FeaturesHolder.Feature CopyRight

Constructor Detail

### FeaturesHolder

    public FeaturesHolder()

Method Detail

### addSupportedFeature

    public void addSupportedFeature(FeaturesHolder.Feature feature)

### getSupportedFeatures

    public java.util.Set getSupportedFeatures()

### removeSupportedFeature

    protected void removeSupportedFeature(FeaturesHolder.Feature feature)

### isFeatureSupported

    public boolean isFeatureSupported(FeaturesHolder.Feature feature)

### isInitialized

    protected boolean isInitialized()

### setFeatures

    public void setFeatures(java.util.Set features)

### retainFeatures

    public void retainFeatures(java.util.Set features)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD